/*
 * Copyright (C) 2023 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

syntax = "proto2";

package android.os.statsd.healthfitness.ui;

import "frameworks/proto_logging/stats/atoms.proto";
import "frameworks/proto_logging/stats/atom_field_options.proto";
import "frameworks/proto_logging/stats/enums/healthfitness/ui/enums.proto";

option java_multiple_files = true;
option java_package = "com.android.os.healthfitness.ui";

extend Atom {
    optional HealthConnectUiImpression health_connect_ui_impression = 623 [(module) = "healthfitness"];

    optional HealthConnectUiInteraction health_connect_ui_interaction = 624 [(module) = "healthfitness"];

    optional HealthConnectAppOpenedReported health_connect_app_opened_reported = 625 [(module) = "healthfitness"];

}

message HealthConnectUiImpression {
    optional android.healthfitness.ui.PageId page = 1;
    optional android.healthfitness.ui.ElementId element = 2;
}

message HealthConnectUiInteraction {
    optional android.healthfitness.ui.PageId page = 1;
    optional android.healthfitness.ui.ElementId element = 2;
    optional android.healthfitness.ui.Action action = 3;
}

message HealthConnectAppOpenedReported {
    optional android.healthfitness.ui.Source source = 1;
}
